Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 501566 - Review Request: python-repoze-who-friendlyform - Collection of repoze.who friendly form plugins
Review Request: python-repoze-who-friendlyform - Collection of repoze.who fri...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brennan Ashton
Fedora Extras Quality Assurance
:
Depends On: 468227
Blocks: 501576
  Show dependency treegraph
 
Reported: 2009-05-19 15:08 EDT by Tom "spot" Callaway
Modified: 2009-05-28 04:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0-0.1.b3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 04:09:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bashton: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2009-05-19 15:08:04 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/python-repoze-who-friendlyform.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/python-repoze-who-friendlyform-1.0-0.1.b3.fc11.src.rpm
Description: 
repoze.who-friendlyform is a repoze.who plugin which provides a collection of
developer-friendly form plugins.
Comment 1 Brennan Ashton 2009-05-23 21:44:53 EDT
[pass] source files match upstream:
6bf9519eaebc3c353c9b234fee2c6761de4ceddb63f705f9d52bbf17816558a5  SOURCES/repoze.who-friendlyform-1.0b3.tar.gz

[pass] package meets naming and versioning guidelines.
[pass] specfile is properly named, is cleanly written and uses macros consistently.
[pass] dist tag is present.
[pass] build root is correct.
 (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     is the recommended value, but not the only one)
[pass] license field matches the actual license.
[pass] license is open source-compatible.
BSD
[pass]latest version is being packaged.
1.0b3
[pass] BuildRequires are proper.
[pass] compiler flags are appropriate.
[pass] %clean is present.
[pass] package installs properly.
(it appears to, although I do not have a very good test case)
[pass]rpmlint is silent.
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

[pass] final provides and requires are sane:
provides python-repoze-who-friendlyform = 1.0-0.1.b3.fc10
requires
python(abi) = 2.5
python-repoze-who >= 1.0
python-zope-interface  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

[?]%check is present and all tests pass:
%check
# Tests fail?
# PYTHONPATH=$(pwd) nosetests
what do these comments mean? do the tests fail, if so why?

[pass]owns the directories it creates.
[pass]doesn't own any directories it shouldn't.
[pass]no duplicates in %files.
[pass]file permissions are appropriate.
[pass] code, not content.
[pass] documentation is small, so no -docs subpackage is necessary.
[pass] %docs are not necessary for the proper functioning of the package.
[pass not a GUI app]desktop files valid and installed properly.

This gets my approval, if you do not see the %check section as a problem.  This should be clarified in the comment as to what is going on.  This was not built in mock as python-repoze-who has not made its way into the repos yet.
Comment 2 Tom "spot" Callaway 2009-05-26 13:12:22 EDT
A fair amount of the repoze stack has failing tests, even though we know the code works fine, which is why it is commented out.

New Package CVS Request
=======================
Package Name: python-repoze-who-friendlyform
Short Description: Collection of repoze.who friendly form plugins
Owners: spot 
Branches: EL-5 F-10 F-11 devel
InitialCC: 

... and it's done.
Comment 3 Fedora Update System 2009-05-27 15:14:42 EDT
python-repoze-who-friendlyform-1.0-0.1.b3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-repoze-who-friendlyform-1.0-0.1.b3.fc10
Comment 4 Fedora Update System 2009-05-27 15:14:47 EDT
python-repoze-who-friendlyform-1.0-0.1.b3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-repoze-who-friendlyform-1.0-0.1.b3.fc11
Comment 5 Fedora Update System 2009-05-28 04:09:41 EDT
python-repoze-who-friendlyform-1.0-0.1.b3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-05-28 04:15:24 EDT
python-repoze-who-friendlyform-1.0-0.1.b3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.